summaryrefslogtreecommitdiffstats
path: root/system/gammu/gammu.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/gammu/gammu.SlackBuild')
-rw-r--r--system/gammu/gammu.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/system/gammu/gammu.SlackBuild b/system/gammu/gammu.SlackBuild
index 007c0fa1af..0f986db447 100644
--- a/system/gammu/gammu.SlackBuild
+++ b/system/gammu/gammu.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for gammu
-# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gammu
-VERSION=1.19.0
+VERSION=1.21.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -65,10 +67,8 @@ cd build
make install DESTDIR=$PKG
cd -
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;